## GFBGraphGoaAuthorizer GFBGraphGoaAuthorizer — GFBGraph GOA authorization interface |

## Stability Level

Unstable, unless otherwise indicated

## Functions

GFBGraphGoaAuthorizer * | gfbgraph_goa_authorizer_new ()

## Properties

GoaObject * | goa-object | Read / Write / Construct Only

## Types and Values

struct | GFBGraphGoaAuthorizer
struct | GFBGraphGoaAuthorizerClass

## Object Hierarchy

        GObject
        ╰── GFBGraphGoaAuthorizer

## Implemented Interfaces

GFBGraphGoaAuthorizer implements GFBGraphAuthorizer.

## Includes

    #include <gfbgraph/gfbgraph.h>

## Description

GFBGraphGoaAuthorizer provides an implementation of the GFBGraphAuthorizer interface for authorization using GNOME Online Accounts (GOA).

## Functions

### gfbgraph_goa_authorizer_new ()

    GFBGraphGoaAuthorizer *
    gfbgraph_goa_authorizer_new (GoaObject *goa_object);

Creates a new GFBGraphGoaAuthorizer using `goa_object` as account.

#### Parameters

goa_object | A GoaObject representing a Facebook account. |

#### Returns

A new GFBGraphGoaAuthorizer. Use `g_object_unref()` to free it.

[transfer full]

## Types and Values

### struct GFBGraphGoaAuthorizer

    struct GFBGraphGoaAuthorizer;

### struct GFBGraphGoaAuthorizerClass

    struct GFBGraphGoaAuthorizerClass {
            GObjectClass parent_class;
    };

## Property Details

### The `“goa-object”` property

      “goa-object”               GoaObject *

The GOA account providing authentication.

Flags: Read / Write / Construct Only